# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetOperationStatusResp

Packages that use TGetOperationStatusResp
Package
Description
com.databricks.jdbc.common.util
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetOperationStatusResp in com.databricks.jdbc.common.util

Methods in com.databricks.jdbc.common.util with parameters of type TGetOperationStatusResp
Modifier and Type
Method
Description
`static StatementStatus`
DatabricksThriftUtil.`getStatementStatus(TGetOperationStatusResp resp)`
Returns statement status for given operation status response

## Uses of TGetOperationStatusResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetOperationStatusResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetOperationStatus_call`
`static class`
`TCLIService.AsyncProcessor.GetOperationStatus<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetOperationStatusResp
Modifier and Type
Class
Description
`class`
`TGetOperationStatusResp`
`class`
`TGetOperationStatusResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetOperationStatusResp
Modifier and Type
Field
Description
`TGetOperationStatusResp`
TSparkDirectResults.`operationStatus`
`TGetOperationStatusResp`
TCLIService.GetOperationStatus_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetOperationStatusResp
Modifier and Type
Method
Description
`TGetOperationStatusResp`
TGetOperationStatusResp.`deepCopy()`
`TGetOperationStatusResp`
TSparkDirectResults.`getOperationStatus()`
`TGetOperationStatusResp`
TCLIService.Client.`GetOperationStatus(TGetOperationStatusReq req)`
`TGetOperationStatusResp`
TCLIService.Iface.`GetOperationStatus(TGetOperationStatusReq req)`
`TGetOperationStatusResp`
TCLIService.AsyncClient.GetOperationStatus_call.`getResult()`
`TGetOperationStatusResp`
TCLIService.GetOperationStatus_result.`getSuccess()`
`TGetOperationStatusResp`
TCLIService.Client.`recv_GetOperationStatus()`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setDiagnosticInfo(String diagnosticInfo)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setDisplayMessage(String displayMessage)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setErrorCode(int errorCode)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setErrorDetailsJson(String errorDetailsJson)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setErrorMessage(String errorMessage)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setHasResultSet(boolean hasResultSet)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setNumModifiedRows(long numModifiedRows)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setOperationCompleted(long operationCompleted)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setOperationStarted(long operationStarted)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setOperationState(TOperationState operationState)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setProgressUpdateResponse(TProgressUpdateResp progressUpdateResponse)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setSqlState(String sqlState)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setStatus(TStatus status)`
`TGetOperationStatusResp`
TGetOperationStatusResp.`setTaskStatus(String taskStatus)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetOperationStatusResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp>`
TCLIService.AsyncProcessor.GetOperationStatus.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetOperationStatusResp
Modifier and Type
Method
Description
`int`
TGetOperationStatusResp.`compareTo(TGetOperationStatusResp other)`
`boolean`
TGetOperationStatusResp.`equals(TGetOperationStatusResp that)`
`TSparkDirectResults`
TSparkDirectResults.`setOperationStatus(TGetOperationStatusResp operationStatus)`
`TCLIService.GetOperationStatus_result`
TCLIService.GetOperationStatus_result.`setSuccess(TGetOperationStatusResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetOperationStatusResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetOperationStatus(TGetOperationStatusReq req, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetOperationStatus(TGetOperationStatusReq req, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetOperationStatus.`start(I iface, TCLIService.GetOperationStatus_args args, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetOperationStatusResp
Modifier
Constructor
Description
``
`GetOperationStatus_result(TGetOperationStatusResp success)`
``
`TGetOperationStatusResp(TGetOperationStatusResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetOperationStatusResp
Modifier
Constructor
Description
``
`GetOperationStatus_call(TGetOperationStatusReq req, org.apache.thrift.async.AsyncMethodCallback<TGetOperationStatusResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`